.active-link {
	text-decoration: underline;
}

.car-list {
    width: 100%;
    height: fit-content;
    padding: 0 2rem;
    box-sizing: border-box;
}

.car-list__row {
    margin-bottom: 1rem;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    grid-gap: 1rem;
    width: 100%;
    height: fit-content;
    box-sizing: border-box;
}
.custom-search__filters {
    position: absolute;
    height: fit-content;
    width: calc(100% - 80px);
    background-color: blue;
    top: calc(100% + 1px);
    left: 40px;
    border-radius: 25px;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
    padding: 1rem 2rem;
    box-sizing: border-box;
    border: 1px solid rgb(199, 199, 199);
    transform: scaleY(0);
    transform-origin: 0 0;
    transition: all 300ms ease-out;
    background-color: white;
    /* box-shadow: 1px 21px 19px -9px rgba(0, 0, 0, 0.75);
    -webkit-box-shadow: 1px 21px 19px -9px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 1px 21px 19px -9px rgba(0, 0, 0, 0.75); */
  }
  
  .custom-search__filters.open {
    transform: scaleY(1);
  }
.car-list__card {
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    background-color: white;
    height: clamp(250px, 20vw, 300px);
    border-radius: 25px;
    width: clamp(300px, 25vw, 425px);
    justify-self: center;
    display: grid;
    grid-template-rows: repeat(7, 1fr);
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 5px;
    grid-template-areas: 
    "date date"
    "name pic"
    "cap pic"
    "trm pic"
    "rate rate"
    "rate rate"
    "loc loc"
    ;
    padding: 1rem;
    box-sizing: border-box;
}

.car-list__card .available-date {
    grid-area: date;
}
.car-list__card .model {
    grid-area: name;
}
.car-list__card .capacity {
    grid-area: cap;
}
.car-list__card .picture {
    grid-area: pic;
}
.car-list__card .transmission {
    grid-area: trm;
}
.car-list__card .location {
    grid-area: loc
}
.car-list__card .rate {
    grid-area: rate;
}

.car-list__card .picture img{
    width: 100%;
    height: 100%;
}

.custom-search__filters h4 {
    color: #78e9e2;
    font-weight: 800;
    font-size: 1.5em;
}
.custom-search__filters hr {
    background-color: rgb(199, 199, 199);
    height: 2px;
    border-radius: 2px;
    border: none;
}
.custom-search__filter-group {
    width: 100%;
    height: fit-content;
    margin-top: 1rem;
    display: flex;
    flex-direction: column;
}
.trans-type {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.custom-search__filters h5 {
    font-size: 0.85rem;
    font-weight: bold;
}
.custom-search__filter-input {
    font-size: 1rem;
    padding: 0;
    margin-top: 5px;
    width: 100%;
    border: none;
    background-color: transparent;
}
.custom-search__filter-input:focus {
    outline: none;
    border-bottom: 2px solid #808080;
}

.autocomplete-search {
    position: relative;
}

.recommendation-box {
    width: 100%;
    position: absolute;
    top: 100%;
    border: 1px solid rgb(199, 199, 199);
    background-color: white;
    display: none;
    padding: 0 5px;
    box-sizing: border-box;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

.recommendation-box.show {
    z-index: 999;
    display: block;
}

.recommendation-box li {
    margin: 0.5rem 0;
    color: #808080;
    cursor: pointer;
    height: 30px;
    display: flex;
    align-items: center;
    border-radius: 5px;
    padding: 0 1rem;
}
.recommendation-box li:hover {
    background-color: #78e9e2;
}

.wrapper{
    display: inline-flex;
    background: #fff;
    height: 40px;
    width: 70%;
    align-items: center;
    justify-content: space-evenly;
    border-radius: 5px;
    padding: 20px 15px;
  }
  .wrapper .option{
    background: #fff;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin: 0 10px;
    border-radius: 5px;
    cursor: pointer;
    padding: 0 10px;
    border: 2px solid lightgrey;
    transition: all 0.3s ease;
  }
  input[type="radio"]{
    display: none;
  }
  #option-1:checked:checked ~ .option-1,
  #option-2:checked:checked ~ .option-2{
    border-color: #78e9e2;
    background: #78e9e2;
  }
  .wrapper .option span{
    font-size: 20px;
    color: #808080;
  }
  #option-1:checked:checked ~ .option-1 span,
  #option-2:checked:checked ~ .option-2 span{
    color: #fff;
  }

@media only screen and (max-width: 1800px) {
    .car-list__row {
        grid-template-columns: 1fr 1fr;
        padding: 0 8rem;
    }
    .car-list__card {
        width: 450px;
        height: clamp(250px, 25vw, 300px);
    }
}
@media only screen and (max-width: 1600px) {
    .nav-section .anchor-pill-button {
        display: none;
    }
}
@media only screen and (max-width: 1325px) {
    .nav-main {
        padding-top: 4rem;
        justify-content: center;
        flex-direction: column;
        align-items: center;
        height: max-content;
    }
    .nav-section {
        justify-content: center;
        width: 100%;
    }
    .custom-search {
        margin-top: 4rem;
        padding: 20px;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: fit-content;
        width: 70%;
    }
    .custom-button__container {
        margin-top: 1rem;
    }
    .custom-search__group {
        width: 100%;
        padding: 15px;
    }
    .blob {
        background-color: #375A7F;
    }
    .car-list {
        margin-top: 4rem;
    }
}

@media only screen and (max-width: 1248px) {
    .car-list__card {
        width: 100%;
    }
}

@media only screen and (max-width: 980px) {
    .car-list__row {
        grid-template-columns: 1fr;
        padding: 0;
    }
    .car-list__card {
        width: clamp(200px, 70vw, 400px);
        height: clamp(100px, 50vw, 300px);
    }
    .trans-type {
        flex-direction: column;
    }
}
